#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xD7,0xF1,0xCD,0x8E,0x9D,0x3A,0xC0,0xE3,0x61,0xBB,0x36,0x5D,
		0x8A,0x21,0x2D,0x28,0x1D,0xB9,0x13,0x01,0x28,0x18,0x1C,0x4D,
		0xD5,0xFA,0x73,0x95,0xC9,0x9F,0x19,0xF3,0x52,0x9B,0x45,0xA9,
		0x63,0x7B,0x89,0xFF,0xC3,0xDD,0x06,0xE4,0xC8,0xBE,0x01,0xD5,
		0x37,0xB3,0xA2,0x3F,0x0D,0x82,0x90,0x81,0x6C,0xF4,0x9A,0x70,
		0xE8,0x1D,0x62,0xD3,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
